package com.ruoyi.web.work.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.web.work.domain.Column;
import com.ruoyi.web.work.mapper.ColumnMapper;
import com.ruoyi.web.work.service.IColumnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @author lishuwen
 * @date 2022-10-30
 */
@Service
public class ColumnServiceImpl extends ServiceImpl<ColumnMapper, Column> implements IColumnService {
    @Autowired
    private ColumnMapper columnMapper;

    @Override
    public List<Column> selectList(Column column) {
        return columnMapper.selectList(column);
    }

    @Override
    public List<Map<String, Object>> treeJson(Column column) {
        return columnMapper.treeJson(column);
    }

    @Override
    public List<Map<String, Object>> selectByTitle(Column column) {
        return columnMapper.selectByTitle(column);
    }

    @Override
    public Column selectRegion(Column column) {
        return columnMapper.selectRegion(column);
    }

    @Override
    public List<Map<String, Object>> selectCityAll() {
        return columnMapper.selectCityAll();
    }
}
